package com.dcsoft.system.visitor.service.impl;

import java.util.List;
import com.dcsoft.common.core.utils.DateUtils;
import com.dcsoft.common.security.utils.SecurityUtils;
import com.dcsoft.system.visitor.domain.VisVisitorExamine;
import com.dcsoft.system.visitor.mapper.VisVisitorExamineMapper;
import com.dcsoft.system.visitor.service.IVisVisitorExamineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 访客审核Service业务层处理
 *
 * @author nichun
 * @date 2023-03-11
 */
@Service
public class VisVisitorExamineServiceImpl implements IVisVisitorExamineService
{
    @Autowired
    private VisVisitorExamineMapper visVisitorExamineMapper;

    /**
     * 查询访客审核
     *
     * @param id 访客审核主键
     * @return 访客审核
     */
    @Override
    public VisVisitorExamine selectVisVisitorExamineById(Long id)
    {
        return visVisitorExamineMapper.selectVisVisitorExamineById(id);
    }

    /**
     * 查询访客审核列表
     *
     * @param visVisitorExamine 访客审核
     * @return 访客审核
     */
    @Override
    public List<VisVisitorExamine> selectVisVisitorExamineList(VisVisitorExamine visVisitorExamine)
    {
        return visVisitorExamineMapper.selectVisVisitorExamineList(visVisitorExamine);
    }

    /**
     * 新增访客审核
     *
     * @param visVisitorExamine 访客审核
     * @return 结果
     */
    @Override
    public int insertVisVisitorExamine(VisVisitorExamine visVisitorExamine)
    {
        visVisitorExamine.setCreateTime(DateUtils.getNowDate());
        return visVisitorExamineMapper.insertVisVisitorExamine(visVisitorExamine);
    }

    /**
     * 修改访客审核
     *
     * @param visVisitorExamine 访客审核
     * @return 结果
     */
    @Override
    public int updateVisVisitorExamine(VisVisitorExamine visVisitorExamine)
    {
        visVisitorExamine.setUpdateTime(DateUtils.getNowDate());
        return visVisitorExamineMapper.updateVisVisitorExamine(visVisitorExamine);
    }

    /**
     * 批量删除访客审核
     *
     * @param ids 需要删除的访客审核主键
     * @return 结果
     */
    @Override
    public int deleteVisVisitorExamineByIds(Long[] ids)
    {
        return visVisitorExamineMapper.deleteVisVisitorExamineByIds(ids);
    }

    /**
     * 删除访客审核信息
     *
     * @param id 访客审核主键
     * @return 结果
     */
    @Override
    public int deleteVisVisitorExamineById(Long id)
    {
        return visVisitorExamineMapper.deleteVisVisitorExamineById(id);
    }

    @Override
    public int deleteVisVisitorExamineByVisitorId(Long visitorId) {
        return visVisitorExamineMapper.deleteVisVisitorExamineByVisitorId(visitorId);
    }


}
